#!/bin/zsh
#
# connect to console headnodes
# try 'conserver' connections, and fall back to 'slac-console-server'
#
# Andras.Horvath@cern.ch, 2009
# 
# FIXME: after conserver migration is complete, remove most of the script:)
# 
zmodload zsh/net/tcp

if	[ "$1" = "" ]; then	
	echo "Usage: connect2console.sh hostname"
	exit 1
fi

HEADNODE="$1.headnode.cern.ch"
echo "Connecting to the headnode: $HEADNODE ..."

# Try the 'new style' conserver-based headnodes first
# This port is closed on the old (slac-console-server-based) ones
echo -n "Trying to connect as if to conserver... "
ztcp $HEADNODE 7782 2>/dev/null
fd=$REPLY
if [[ -n "$fd" ]]; then
	echo "success."
	console -M $HEADNODE -p 7782 $1
	ztcp -c $fd
else
	echo "failed."
	echo "Trying slac-console-server configuration."
	ssh -t $HEADNODE "console $1"
fi


